Bug 249560 - some POSTIN-scripts fail
Summary: some POSTIN-scripts fail
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: bacula (Show other bugs)
(Show other bugs)
Version: 7
Hardware: All Linux
low
low
Target Milestone: ---
Assignee: Andreas Thienemann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-07-25 15:16 UTC by Christoph Dworzak
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version: 2.0.3-9.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-07-27 05:54:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to the SPEC-file (5.34 KB, patch)
2007-07-25 15:16 UTC, Christoph Dworzak
no flags Details | Diff

Description Christoph Dworzak 2007-07-25 15:16:04 UTC
POSTIN-scripts for bacula-director-[mysql|postgresql|sqlite] are wrong:

/usr/sbin/alternatives --install /usr/sbin/bacula-dir bacula-dir
/usr/sbin/bacula-dir.sqlite 40 \                                               
            
        --slave /usr/sbin/dbcheck bacula-dbcheck /usr/sbin/dbcheck.sqlite \    
                                                                            
        --slave /usr/libexec/bacula/create_bacula_database
/usr/libexec/bacula/create_bacula_database.sqlite \
...
the first slave-line is ok, but the following are missing the second parameter.

result: after installation links are missing. bacula-dir won't start. removal of
rpm fails unless --nopreun is specified.

patch to the specfile is attached

Comment 1 Christoph Dworzak 2007-07-25 15:16:04 UTC
Created attachment 159937 [details]
patch to the SPEC-file

Comment 2 Andreas Thienemann 2007-07-25 15:22:57 UTC
crap. thx for the report. Somehow, I never experienced that problem locally. New
package on the way.

Comment 3 Fedora Update System 2007-07-27 05:54:02 UTC
bacula-2.0.3-9.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.